# VectorNav C++ Library: vn::sensors::GpsCompassEstimatedBaselineRegister Struct Reference

vn::sensors::GpsCompassEstimatedBaselineRegister Struct Reference
Register Structures

Structure representing the GPS Compass Estimated Baseline register. More...

`#include <registers.h>`

## Public Member Functions

| GpsCompassEstimatedBaselineRegister (bool estBaselineUsedIn, uint16_t numMeasIn, vn::math::vec3f positionIn, vn::math::vec3f uncertaintyIn)
| Creates an initializes a new GpsCompassEstimatedBaselineRegister structure. More...

## Public Attributes

bool | estBaselineUsed
| The estBaselineUsed field.
uint16_t | numMeas
| The numMeas field.
vn::math::vec3f | position
| The position field.
vn::math::vec3f | uncertainty
| The uncertainty field.

## Detailed Description

Structure representing the GPS Compass Estimated Baseline register.

## Constructor & Destructor Documentation

vn::sensors::GpsCompassEstimatedBaselineRegister::GpsCompassEstimatedBaselineRegister | ( | bool | estBaselineUsedIn,
|  | uint16_t | numMeasIn,
|  | vn::math::vec3f | positionIn,
|  | vn::math::vec3f | uncertaintyIn
| ) |  |

inline

Creates an initializes a new GpsCompassEstimatedBaselineRegister structure.

Parameters

  [in] | estBaselineUsedIn | Value to initialize the estBaselineUsed field with.
  [in] | numMeasIn | Value to initialize the numMeas field with.
  [in] | positionIn | Value to initialize the position field with.
  [in] | uncertaintyIn | Value to initialize the uncertainty field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h